Subject: bug#8951: [External] : Re: bug#8951: 24.0.50; [PATCH] enhancement request: buttonize key names

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 14:37:14 -0700

Drew Adams <[email-masked]> writes:

> Instead of making the choice of whether to fontify/link
> key descriptions (1) depend only on a user option
> (dynamically scoped variable) and (2) hard-coupling it
> to use of the result in a *Help* buffer, I argued for
> (1) adding an optional arg to `substitute-command-keys'
> (to make the choice),

I don't see the use-case.  I know of no places where the added linking
is not desirable, if the user has already said that she wants it in the
help buffer.

> and (2) separating creation of the resulting fontified/ linkified key
> description from its use in *Help* output.

I agree with this, but as we have discussed elsewhere this goes further
and deeper than this option.  It would amount to a major rethinking or
rewrite of help.el itself.  I hope that we will do that, eventually.